> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.talqora.com/api-reference/workspace/complete/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.talqora.com/_mcp/server. # Complete Onboarding POST https://api.talqora.com/v1/onboarding/complete Content-Type: application/json Reference: https://docs.talqora.com/api-reference/workspace/complete ## Authentication - `Authorization` header (bearer token, required) — Use a tq_live_ API key as a Bearer token. ## Request ### Headers - `x-talqora-organization-id` (string, optional, nullable) ### Body (application/json) This endpoint expects an OnboardingComplete. - `organization_name` (string, required) - `use_case` (string, required) - `expected_vectors` (string, required) - `default_region` (string, optional, default: us-east-1) ## Response ### 200 Successful Response - `organization_id` (string, required) - `organization_name` (string, required) - `role` (enum, required) - Allowed values: `owner`, `member` - `subscription_status` (string, required) - `cancel_at_period_end` (boolean, required) - `current_period_end` (datetime, required, nullable) - `limits` (map from string to integer, required) - `features` (map from string to boolean, required) - `rate_limits` (map from string to integer, required) - `onboarded` (boolean, optional, default: false) - `plan` (enum, optional, default: developer) - Allowed values: `developer`, `scale`, `enterprise` ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) ### ValidationErrorLocItems ## Examples **Request** ```json { "organization_name": "string", "use_case": "string", "expected_vectors": "string" } ``` **Response** ```json { "organization_id": "string", "organization_name": "string", "role": "owner", "subscription_status": "string", "cancel_at_period_end": true, "current_period_end": "2024-01-15T09:30:00Z", "limits": {}, "features": {}, "rate_limits": {}, "onboarded": false, "plan": "developer" } ``` **SDK Code** ```python import requests url = "https://api.talqora.com/v1/onboarding/complete" payload = { "organization_name": "string", "use_case": "string", "expected_vectors": "string" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.talqora.com/v1/onboarding/complete'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"organization_name":"string","use_case":"string","expected_vectors":"string"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.talqora.com/v1/onboarding/complete" payload := strings.NewReader("{\n \"organization_name\": \"string\",\n \"use_case\": \"string\",\n \"expected_vectors\": \"string\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.talqora.com/v1/onboarding/complete") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"organization_name\": \"string\",\n \"use_case\": \"string\",\n \"expected_vectors\": \"string\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.talqora.com/v1/onboarding/complete") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"organization_name\": \"string\",\n \"use_case\": \"string\",\n \"expected_vectors\": \"string\"\n}") .asString(); ``` ```php request('POST', 'https://api.talqora.com/v1/onboarding/complete', [ 'body' => '{ "organization_name": "string", "use_case": "string", "expected_vectors": "string" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.talqora.com/v1/onboarding/complete"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"organization_name\": \"string\",\n \"use_case\": \"string\",\n \"expected_vectors\": \"string\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "organization_name": "string", "use_case": "string", "expected_vectors": "string" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.talqora.com/v1/onboarding/complete")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```